Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.elements.structures
Class OdaDataSetParameter

    java.lang.Object
      org.eclipse.birt.report.model.core.Structure
          org.eclipse.birt.report.model.api.elements.structures.DataSetParameter
              org.eclipse.birt.report.model.api.elements.structures.OdaDataSetParameter

All Implemented Interfaces:
  java.lang.Cloneable, IStructure, org.eclipse.birt.report.model.core.IPropertySet

    public class OdaDataSetParameter

extends DataSetParameter

Represents the parameter for ODA drivers.

Field Summary
`static java.lang.String` | `NATIVE_DATA_TYPE_MEMBER` Name of the member indicating the native (database) data type code.
`static java.lang.String` | `NATIVE_NAME_MEMBER` The native name from oda parameter.
`static java.lang.String` | `PARAM_NAME_MEMBER` The parameter name used to refer to a report parameter.
`static java.lang.String` | `STRUCT_NAME` Name of this structure.

Fields inherited from class org.eclipse.birt.report.model.api.elements.structures.DataSetParameter
`ALLOW_NULL_MEMBER, DATA_TYPE_MEMBER, DEFAULT_VALUE_MEMBER, IS_INPUT_MEMBER, IS_NULLABLE_MEMBER, IS_OPTIONAL_MEMBER, IS_OUTPUT_MEMBER, NAME_MEMBER, POSITION_MEMBER`

Constructor Summary
`OdaDataSetParameter()`

Method Summary
`protected java.lang.Object` | `getIntrinsicProperty(java.lang.String propName)` Returns the value of a structure property represented as a member variable.
`java.lang.Integer` | `getNativeDataType()` Returns the native data type.
`java.lang.String` | `getNativeName()` returns the native parameter name.
`java.lang.String` | `getParamName()` returns the report parameter name.
`java.lang.String` | `getStructName()` Returns the name of the structure definition.
`StructureHandle` | `handle(SimpleValueHandle valueHandle, int index)` Creates the specific handle of this structure.
`protected void` | `setIntrinsicProperty(java.lang.String propName, java.lang.Object value)` Sets the value of of a structure property represented as a member variable.
`void` | `setNativeDataType(java.lang.Integer dataType)` Sets the parameter native data type.
`void` | `setNativeName(java.lang.String name)` set the native oda dataset parameter name.
`void` | `setParamName(java.lang.String name)` set the refered report parameter name.

Methods inherited from class org.eclipse.birt.report.model.api.elements.structures.DataSetParameter
`allowNull, getDataType, getDefaultValue, getName, getParameterDataType, getPosition, isInput, isNullable, isOptional, isOutput, setAllowNull, setDataType, setDefaultValue, setIsInput, setIsNullable, setIsOptional, setIsOutput, setName, setParameterDataType, setPosition, validate`

Methods inherited from class org.eclipse.birt.report.model.core.Structure
`copy, equals, getContext, getDefn, getElement, getHandle, getHandle, getListMemberRef, getLocalProperty, getLocalProperty, getObjectDefn, getProperty, getProperty, getReferencableProperty, isDesignTime, isReferencable, setContext, setProperty, setProperty, updateReference`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STRUCT_NAME

    public static final java.lang.String STRUCT_NAME

  Name of this structure. Matches the definition in the meta-data dictionary.

  See Also:
    Constant Field Values

### PARAM_NAME_MEMBER

    public static final java.lang.String PARAM_NAME_MEMBER

  The parameter name used to refer to a report parameter.

  See Also:
    Constant Field Values

### NATIVE_NAME_MEMBER

    public static final java.lang.String NATIVE_NAME_MEMBER

  The native name from oda parameter.

  See Also:
    Constant Field Values

### NATIVE_DATA_TYPE_MEMBER

    public static final java.lang.String NATIVE_DATA_TYPE_MEMBER

  Name of the member indicating the native (database) data type code.

  See Also:
    Constant Field Values

Constructor Detail

### OdaDataSetParameter

    public OdaDataSetParameter()

Method Detail

### handle

    public StructureHandle handle(SimpleValueHandle valueHandle,
                                  int index)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Creates the specific handle of this structure. This handle is always created.

  Overrides:
    `handle` in class `DataSetParameter`
  Parameters:
    `valueHandle` - the value handle of this structure list property this structure is in
    `index` - the position of this structure in structure list
  Returns:
    the handle of this structure.

### getIntrinsicProperty

    protected java.lang.Object getIntrinsicProperty(java.lang.String propName)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Returns the value of a structure property represented as a member variable.

  Overrides:
    `getIntrinsicProperty` in class `DataSetParameter`
  Parameters:
    `propName` - name of the property
  Returns:
    the value of the property, or null if the property is not set

### setIntrinsicProperty

    protected void setIntrinsicProperty(java.lang.String propName,
                                        java.lang.Object value)

  Description copied from class: `org.eclipse.birt.report.model.core.Structure`
  Sets the value of of a structure property represented as a member variable.

  Overrides:
    `setIntrinsicProperty` in class `DataSetParameter`
  Parameters:
    `propName` - the name of the property to set
    `value` - the property value

### setParamName

    public void setParamName(java.lang.String name)

  set the refered report parameter name.

  Parameters:
    `name` - the parameter name

### setNativeName

    public void setNativeName(java.lang.String name)

  set the native oda dataset parameter name.

  Parameters:
    `name` - the native name

### getParamName

    public java.lang.String getParamName()

  returns the report parameter name.

  Returns:
    report parameter name

### getNativeName

    public java.lang.String getNativeName()

  returns the native parameter name.

  Returns:
    native parameter name

### getStructName

    public java.lang.String getStructName()

  Description copied from interface: `IStructure`
  Returns the name of the structure definition. The name is the one used to define the structure in the meta-data dictionary.

  Specified by:
    `getStructName` in interface `IStructure`
  Overrides:
    `getStructName` in class `DataSetParameter`
  Returns:
    the internal name of the structure a defined in the meta-data dictionary.

### getNativeDataType

    public java.lang.Integer getNativeDataType()

  Returns the native data type.

  Overrides:
    `getNativeDataType` in class `DataSetParameter`
  Returns:
    the parameter native data type.

### setNativeDataType

    public void setNativeDataType(java.lang.Integer dataType)

  Sets the parameter native data type.

  Overrides:
    `setNativeDataType` in class `DataSetParameter`
  Parameters:
    `dataType` - the native data type to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.